https://api.examplary.ai/exams/{id}/questions/{questionId}Update fields on a single question. Object fields (settings, scoring, printing, metadata) are merged into the existing values; other fields are replaced. A question's type can't be changed.
Path parameters
Exam ID, e.g. `exam_1234`.
Question ID (e.g. `q_1234`) or the question's `externalId`. Use `first` or `last` to get the first or last question.
Request body
Title for the question (stem)
Optional HTML description for the question
Settings to merge into the question's existing settings. Set a key to `null` to remove it.
Scoring configuration to merge into the question's existing scoring.
Printing configuration to merge into the question's existing printing.
Tags associated with the question for categorization and search
Optional external ID for the question, used to link to external systems
Metadata to merge into the question's existing metadata. Set a key to `null` to remove it.
ID of the exam section this question belongs to
Responses
400 — Validation Error
Allowed values:false
429 — Rate limit exceeded
Requirements
Rate limit
60 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the exams:write scope to be present.